Last Comment Bug 876710 - When using Personas on Mac, the title bar is overlaid by the tab bar (Address book & Compose windows)
: When using Personas on Mac, the title bar is overlaid by the tab bar (Address...
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 860406
Blocks: 890204
  Show dependency treegraph
 
Reported: 2013-05-28 08:12 PDT by Mark Banner (:standard8)
Modified: 2013-07-04 02:04 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
proposed fix (1.56 KB, patch)
2013-05-28 09:56 PDT, Richard Marti (:Paenglab)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2013-05-28 08:12:39 PDT
We also need this on the address book and compose windows...

+++ This bug was initially created as a clone of Bug #860406 +++

When runnning with Personas on Mac, the tab bar goes up and over the title bar. If you run with the default theme, then everything is as expected with the tab bar underneath the title bar.
Comment 1 Richard Marti (:Paenglab) 2013-05-28 09:56:47 PDT
Created attachment 754880 [details] [diff] [review]
proposed fix

Unlike in main window I needed to add the padding-top to the toolbars. Adding the padding to the window ended with not dragable windows in this padding area.

Mike, from your draw in titlebar experience on FX, do you know why this it? And do you know a other solution?
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2013-06-16 13:16:38 PDT
Comment on attachment 754880 [details] [diff] [review]
proposed fix

Review of attachment 754880 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good! Thanks Richard!
Comment 3 Ryan VanderMeulen [:RyanVM] 2013-06-18 08:40:12 PDT
https://hg.mozilla.org/comm-central/rev/cf3cf361bff3
Comment 4 Mark Banner (:standard8) 2013-06-19 02:20:25 PDT
Comment on attachment 754880 [details] [diff] [review]
proposed fix

[Triage Comment]
Moving forward to get some testing.
Comment 5 Mark Banner (:standard8) 2013-06-19 02:25:12 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/06308c8fcd52

Note You need to log in before you can comment on or make changes to this bug.